import { C1GoodType } from '@/pages/A3_ledger/C1ledger/type'

export const B2keyFliterFu = (info: C1GoodType) => {
  const arr = [
    'name',
    'numName',
    'num',
    'numType',
    'pcs',
    'pcsUnit',
    'dictTexture3',
    'dictAge',
    'sizeL',
    'sizeW',
    'sizeH',
    'sizeUnit',
    'quality',
    'qualityUnit',
    'dictTorn',
    'dictLevel',
    'intro',
    // --分割
    'thumb',
    'thumbPc',
    'id',
    'id2',
    'fileIds'
  ]

  let obj = {} as C1GoodType

  for (const k in info) {
    if (arr.includes(k)) obj[k as 'name'] = info[k as 'name']
  }

  return obj
}
